############################################################################
#  
#  Copyright (c) 1999 Fourthought, Inc..
#  http://ftsuite.com/4RDF
#
############################################################################
#
# File Name:        Drivers
#
# Documentation:    http://docs.ftsuite.com/4RDF/Drivers.html
#

import os

def SetDriver(driverName):
    global g_dbDriver
    mod = __import__('Ft.Rdf.Drivers.%s' % driverName)
    print mod.Rdf.__dict__.keys()
    g_dbDriver = getattr(mod.Rdf.Drivers,driverName)
 
#if os.environ.has_key('4RDF_DB_DRIVER'):
#    SetDriver(os.environ['4RDF_DB_DRIVER'])
#else:
#    SetDriver('Postgres')

